<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: Class Members</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
<div class="textblock">Here is a list of all class members with links to the classes they belong to:</div>

<h3><a id="index_n"></a>- n -</h3><ul>
<li>name
: <a class="el" href="structalexa_client_s_d_k_1_1afml_1_1_channel_1_1_state.html#a6ce3f6059210ddd76de60fb75c858ed7">alexaClientSDK::afml::Channel::State</a>
, <a class="el" href="structalexa_client_s_d_k_1_1afml_1_1_focus_manager_1_1_channel_configuration.html#a50432bb46625ce0be8ebdeb25e2dccfd">alexaClientSDK::afml::FocusManager::ChannelConfiguration</a>
, <a class="el" href="structalexa_client_s_d_k_1_1afml_1_1test_1_1_mock_activity_tracker_interface_1_1_expected_channel_state_result.html#a127ac874d0c3d60d3ffae10920d7b3de">alexaClientSDK::afml::test::MockActivityTrackerInterface::ExpectedChannelStateResult</a>
, <a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_message_request_1_1_named_reader.html#aa4118abb978e859b3668645dc684f546">alexaClientSDK::avsCommon::avs::MessageRequest::NamedReader</a>
, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_namespace_and_name.html#aff09826e461210a45d436ac1ad8fc3bd">alexaClientSDK::avsCommon::avs::NamespaceAndName</a>
, <a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1bluetooth_1_1_bluetooth_device_obser94c6197e70b66554b18e449b4b42c987.html#a184a7983330575a55019c5ecb7ed11a0">alexaClientSDK::avsCommon::sdkInterfaces::bluetooth::BluetoothDeviceObserverInterface::DeviceAttributes</a>
</li>
<li>NAME
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1bluetooth_1_1services_1_1_a2_d_p_sink_interface.html#ad0320d37ffd28093ba90b6f595c4db4e">alexaClientSDK::avsCommon::sdkInterfaces::bluetooth::services::A2DPSinkInterface</a>
, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1bluetooth_1_1services_1_1_a2_d_p_source_interface.html#ae91049b0be8ec75963b23a58ee023598">alexaClientSDK::avsCommon::sdkInterfaces::bluetooth::services::A2DPSourceInterface</a>
, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1bluetooth_1_1services_1_1_a_v_r_c_p_controller_interface.html#a571cea02f7abedcedda8d70318f80513">alexaClientSDK::avsCommon::sdkInterfaces::bluetooth::services::AVRCPControllerInterface</a>
, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1bluetooth_1_1services_1_1_a_v_r_c_p_target_interface.html#ad0e77f6d8a055eb10d8b65cc29c051cc">alexaClientSDK::avsCommon::sdkInterfaces::bluetooth::services::AVRCPTargetInterface</a>
</li>
<li>name()
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html#a745cd4dc404db52f7d0afbf838454fac">alexaClientSDK::avsCommon::utils::RequiresShutdown</a>
, <a class="el" href="structalexa_client_s_d_k_1_1capability_agents_1_1alerts_1_1storage_1_1_asset_order_item.html#a73d3b1eae4325ed31e45f352e7b1f771">alexaClientSDK::capabilityAgents::alerts::storage::AssetOrderItem</a>
</li>
<li>NamedReader()
: <a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_message_request_1_1_named_reader.html#ad59f803fc8f1d86592f1ddb19b92c0c3">alexaClientSDK::avsCommon::avs::MessageRequest::NamedReader</a>
</li>
<li>nameSpace
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_namespace_and_name.html#aaa291515dd133474ebd41250fb7aa94c">alexaClientSDK::avsCommon::avs::NamespaceAndName</a>
</li>
<li>NamespaceAndName()
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_namespace_and_name.html#a7bc70d8330d4a4ea1220ea11ad378da7">alexaClientSDK::avsCommon::avs::NamespaceAndName</a>
</li>
<li>next()
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1bluetooth_1_1services_1_1_a_v_r_c_p_target_interface.html#a471b75580c2131525122a8e63015f19a">alexaClientSDK::avsCommon::sdkInterfaces::bluetooth::services::AVRCPTargetInterface</a>
, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1playlist_parser_1_1_iterative_playlist_parser_interface.html#a90ec91cba9759bd458a23061cb1a330a">alexaClientSDK::avsCommon::utils::playlistParser::IterativePlaylistParserInterface</a>
, <a class="el" href="classalexa_client_s_d_k_1_1bluetooth_implementations_1_1blue_z_1_1_blue_z_a_v_r_c_p_target.html#ab183c41d9a16b064c8b29baf668584dc">alexaClientSDK::bluetoothImplementations::blueZ::BlueZAVRCPTarget</a>
, <a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_f_fmpeg_attachment_input_controller.html#a97d0d9d7492b962d5f3a08e919754720">alexaClientSDK::mediaPlayer::android::FFmpegAttachmentInputController</a>
, <a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_f_fmpeg_input_controller_interface.html#aea4b0bc6d5e9b4fad2a32edf3f60e3a2">alexaClientSDK::mediaPlayer::android::FFmpegInputControllerInterface</a>
, <a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_f_fmpeg_stream_input_controller.html#a2eac8b12dc7e8ae4aacf678b7da5003d">alexaClientSDK::mediaPlayer::android::FFmpegStreamInputController</a>
, <a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_f_fmpeg_url_input_controller.html#afe6440572d633248698de07eee69d83a">alexaClientSDK::mediaPlayer::android::FFmpegUrlInputController</a>
, <a class="el" href="classalexa_client_s_d_k_1_1playlist_parser_1_1_iterative_playlist_parser.html#ab75abe092ab3c838b9023eedf233d3e2">alexaClientSDK::playlistParser::IterativePlaylistParser</a>
</li>
<li>nextReal()
: <a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1test_1_1_mock_playlist_parser.html#ae61259a4f965759f934aa1697772ec5f">alexaClientSDK::mediaPlayer::android::test::MockPlaylistParser</a>
</li>
<li>NO_DELAY
: <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1audio_player_1_1_progress_timer.html#aaa01331847ecd668ad7ffcb344340876">alexaClientSDK::capabilityAgents::audioPlayer::ProgressTimer</a>
</li>
<li>NO_INTERVAL
: <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1audio_player_1_1_progress_timer.html#afa3ef3ec5cbcd9adadd2820f2daa375a">alexaClientSDK::capabilityAgents::audioPlayer::ProgressTimer</a>
</li>
<li>normalize()
: <a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1_normalizer.html#adfb3a2d98363ba3a90c589299b4d6cbc">alexaClientSDK::mediaPlayer::Normalizer</a>
</li>
<li>notificationDefault()
: <a class="el" href="classalexa_client_s_d_k_1_1application_utilities_1_1resources_1_1audio_1_1_notifications_audio_factory.html#a609b1c3061afb4aa7ce26ff1eeb46c96">alexaClientSDK::applicationUtilities::resources::audio::NotificationsAudioFactory</a>
, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio_1_1_notifications_audio_factory_interface.html#a4a5c2f2297f126f52477f8a54c9a80cf">alexaClientSDK::avsCommon::sdkInterfaces::audio::NotificationsAudioFactoryInterface</a>
, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1test_1_1_test_notifications_audio_factory.html#a5ae696a2774fc0123aa8cf09943a765e">alexaClientSDK::capabilityAgents::notifications::test::TestNotificationsAudioFactory</a>
</li>
<li>NotificationIndicator()
: <a class="el" href="structalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notification_indicator.html#a3725b800743b32af7c1f54fc8ee614ad">alexaClientSDK::capabilityAgents::notifications::NotificationIndicator</a>
</li>
<li>notifications()
: <a class="el" href="classalexa_client_s_d_k_1_1application_utilities_1_1resources_1_1audio_1_1_audio_factory.html#add46bf815153b3d6b5061f9808fa07e0">alexaClientSDK::applicationUtilities::resources::audio::AudioFactory</a>
, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio_1_1_audio_factory_interface.html#ae81310758ee5b95c48c332bf419edfbc">alexaClientSDK::avsCommon::sdkInterfaces::audio::AudioFactoryInterface</a>
</li>
<li>NotificationsStorageTest()
: <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1test_1_1_notifications_storage_test.html#aa5fa028eb5b1659bf3fc8adb6c4ca467">alexaClientSDK::capabilityAgents::notifications::test::NotificationsStorageTest</a>
</li>
<li>notify_all()
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1test_1_1_minimal_traits_1_1_condition_variable.html#afe1f6496f9e9069395109f15c6f4a942">alexaClientSDK::avsCommon::utils::sds::test::MinimalTraits::ConditionVariable</a>
</li>
<li>notifyKeyWordDetectorStateObservers()
: <a class="el" href="classalexa_client_s_d_k_1_1kwd_1_1_abstract_keyword_detector.html#a6d441867552906f2d40bfdb338056ee0">alexaClientSDK::kwd::AbstractKeywordDetector</a>
</li>
<li>notifyKeyWordObservers()
: <a class="el" href="classalexa_client_s_d_k_1_1kwd_1_1_abstract_keyword_detector.html#a6f0c847c62d5842c96144a15b7bf832b">alexaClientSDK::kwd::AbstractKeywordDetector</a>
</li>
<li>notifyObservers()
: <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_abstract_a_v_s_connection_manager.html#aa06a78116bbc10591100ee3326ca0c1c">alexaClientSDK::avsCommon::avs::AbstractAVSConnectionManager</a>
, <a class="el" href="classalexa_client_s_d_k_1_1settings_1_1_setting_interface.html#a1b7a51d0c65e32725b45e959086ad73a">alexaClientSDK::settings::SettingInterface&lt; ValueT &gt;</a>
</li>
<li>notifyOfActivityUpdates()
: <a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_activity_tracker_interface.html#a447fbedab09b31fe0466e495f6a758bd">alexaClientSDK::afml::ActivityTrackerInterface</a>
, <a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_audio_activity_tracker.html#a9aafaf4287e70315487f4558aec50406">alexaClientSDK::afml::AudioActivityTracker</a>
, <a class="el" href="classalexa_client_s_d_k_1_1afml_1_1test_1_1_mock_activity_tracker_interface.html#aa43c7c7b5411498a4d02712ad4bbae1b">alexaClientSDK::afml::test::MockActivityTrackerInterface</a>
, <a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_visual_activity_tracker.html#ae8aa954cdf8cead84925d5fefa6b384a">alexaClientSDK::afml::VisualActivityTracker</a>
</li>
<li>notifyOfHoldToTalkEnd()
: <a class="el" href="classalexa_client_s_d_k_1_1default_client_1_1_default_client.html#aac1490a9e393118142b3b311e98c43c2">alexaClientSDK::defaultClient::DefaultClient</a>
</li>
<li>notifyOfHoldToTalkStart()
: <a class="el" href="classalexa_client_s_d_k_1_1default_client_1_1_default_client.html#ae6534da6c4f98d01619b882c90d63ece">alexaClientSDK::defaultClient::DefaultClient</a>
</li>
<li>notifyOfTapToTalk()
: <a class="el" href="classalexa_client_s_d_k_1_1default_client_1_1_default_client.html#a261f68cee80a7f174477c688ba2df0c8">alexaClientSDK::defaultClient::DefaultClient</a>
</li>
<li>notifyOfTapToTalkEnd()
: <a class="el" href="classalexa_client_s_d_k_1_1default_client_1_1_default_client.html#a9f5e3728ead108bb40e3af129d370c28">alexaClientSDK::defaultClient::DefaultClient</a>
</li>
<li>notifyOfWakeWord()
: <a class="el" href="classalexa_client_s_d_k_1_1default_client_1_1_default_client.html#a0fb22546cf75973c6f33ea370ab06add">alexaClientSDK::defaultClient::DefaultClient</a>
</li>
<li>null()
: <a class="el" href="structalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_provider.html#a8bb6d6ed0a65c27e2eabac7e869c698a">alexaClientSDK::capabilityAgents::aip::AudioProvider</a>
</li>
<li>NUMBER_OF_BUFFERS
: <a class="el" href="classalexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1_android_s_l_e_s_buffer_queue.html#a4267e85c952a5763b4e90d108ac3ef5e">alexaClientSDK::applicationUtilities::androidUtilities::AndroidSLESBufferQueue</a>
, <a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_android_s_l_e_s_media_queue.html#a663c2c715b7a0d980c24db4d294e4fee">alexaClientSDK::mediaPlayer::android::AndroidSLESMediaQueue</a>
</li>
<li>numberChannels()
: <a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_playback_configuration.html#a637503ca05db6b73861d4554f1d74096">alexaClientSDK::mediaPlayer::android::PlaybackConfiguration</a>
</li>
<li>numChannels
: <a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_audio_format.html#a3c98d77a4f5f2723b4a2c4045d3dd181">alexaClientSDK::avsCommon::utils::AudioFormat</a>
</li>
<li>NumChannels()
: <a class="el" href="classalexa_client_s_d_k_1_1kwd_1_1_snowboy_wrapper.html#a0af48fef7a71dc3a08051a4ba9451b9a">alexaClientSDK::kwd::SnowboyWrapper</a>
</li>
</ul>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
